import SwiftUI

struct FileSelectionView: View {

    @Binding
    private var selectedFile: FileResource?

    @Environment(\.dismiss)
    private var dismiss

    init(selectedFile: Binding<FileResource?>) {
        self._selectedFile = selectedFile
    }

    var body: some View {
        VStack {
            FileListView(selectedFile: $selectedFile)
                .frame(minHeight: 500, idealHeight: 600)
            HStack {
                Button("Cancel") {
                    selectedFile = nil
                    dismiss() }
                Button("Select") { dismiss() }
            }
        }
        .padding()
    }
}
