import SwiftUI

struct GenerationDetailView: View {

    let section: SettingsSection

    var body: some View {
        Group {
            switch section {
            //case .generation:
            //    GenerationSettingsView()
            case .folders:
                PathSettingsView()
            case .navigationBar:
                NavigationBarSettingsView()
            case .postFeed:
                PostFeedSettingsView()
            case .pages:
                PageSettingsDetailView()
            }
        }
        .frame(maxWidth: .infinity, maxHeight: .infinity, alignment: .topLeading)
        .padding()
        .navigationTitle("")
    }
}

#Preview {
    GenerationDetailView(section: .folders)
}
